aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-set-iceg-lxc-image.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-01-11 15:59:09 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-01-11 15:59:09 +0100
commit5b9d6f8c44a4267842a2a7d2ec26d34c8a739948 (patch)
tree055cc1f901c27983b8d6b4de0a1ca6aaf7c88435 /jjb/common/include-agl-set-iceg-lxc-image.sh
parenta8e1e687172ea72c326cf177845c23159c8780f2 (diff)
Update files for marlin
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I0d08fc3ec5f6292b3e4172705be39cf43ccbb305
Diffstat (limited to 'jjb/common/include-agl-set-iceg-lxc-image.sh')
-rw-r--r--jjb/common/include-agl-set-iceg-lxc-image.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/jjb/common/include-agl-set-iceg-lxc-image.sh b/jjb/common/include-agl-set-iceg-lxc-image.sh
new file mode 100644
index 00000000..d18f0b34
--- /dev/null
+++ b/jjb/common/include-agl-set-iceg-lxc-image.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+#
+# debugging purposes
+set -e
+
+################################################################################
+## Header
+################################################################################
+
+# only run on master, jellyfish and icefish
+( echo "master jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
+
+export TARGETFEATURES="agl-iceg agl-devel"
+export TARGETQA=""
+export TARGETIMAGE="lxc-host-image-demo"
+
+eval TARGETIMAGE="$TARGETIMAGE"
+eval TARGETIMAGEnogfx="$TARGETIMAGE"
+
+#if $DEBUG; then
+set | grep ^TARGET || true
+set | grep ^GERRIT || true
+set | grep ^MACHINE || true
+#fi